Get Launch Directory
GET
/v1/portal/launches/catalog
const url = 'https://example.com/v1/portal/launches/catalog?limit=40&tenant_id=';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/v1/portal/launches/catalog?limit=40&tenant_id='Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”limit
Limit
integer
tenant_id
Tenant Id
string
Header Parameters
Section titled “Header Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
PortalLaunchDirectoryOut
object
groups
Groups
Array<object>
PortalLaunchGroupOutobject
group_id
required
Group Id
string
title
required
Title
string
summary
Summary
string
items
Items
Array<object>
PortalGraphActionOutobject
action_id
required
Action Id
string
label
required
Label
string
url
required
Url
string
kind
Kind
string
summary
Summary
string
status
Status
string
entity_kind
Entity Kind
string
entity_key
Entity Key
string
Example
{ "groups": [ { "summary": "", "items": [ { "kind": "open", "summary": "", "status": "", "entity_kind": "", "entity_key": "" } ] } ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}